# Class UnitConverter

java.lang.Object
com.codename1.ui.layouts.mig.UnitConverter

public abstract class UnitConverter extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `UNABLE`
  Value to return if this converter can not handle the `unit` sent in as an argument to the convert method.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnitConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `convertToPixels(float value, String unit, boolean isHor, float refValue, ContainerWrapper parent, ComponentWrapper comp)`
  Converts `value` to pixels.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNABLE

    public static final int UNABLE
    Value to return if this converter can not handle the `unit` sent in as an argument to the convert method.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UnitConverter

    public UnitConverter()

- ## Method Details

  - ### convertToPixels

    public abstract int convertToPixels(float value, String unit, boolean isHor, float refValue, ContainerWrapper parent, ComponentWrapper comp)

    Converts `value` to pixels.

    ###### Parameters

    - `value`: The value to be converted.

    - `unit`: The unit of `value`. Never `null` and at least one character.

    - `refValue`: @param refValue Some reference value that may of may not be used. If the unit is percent for instance this value is the value to take the percent from. Usually the size of the parent component in the appropriate dimension.

    - `isHor`: If the value is horizontal (`true`) or vertical (`false`).

    - `parent`: @param parent The parent of the target component that `value` is to be applied to. Might for instance be needed to get the screen that the component is on in a multi screen environment.

    May be `null` in which case a "best guess" value should be returned.

    - `comp`: The component, if applicable, or `null` if none.

    ###### Returns

    The number of pixels if `unit` is handled by this converter, `UnitConverter.UNABLE` if not.